Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Member Functions
proofs::MdocSignature< LogicCircuit, Field, EC > Class Template Reference

## Data Structures
class | Witness

## Public Member Functions
| MdocSignature (const LogicCircuit &lc, const EC &ec, const Nat &order)
void | assert_signatures (EltW pkX, EltW pkY, EltW hash_tr, v128 mac_e[2], v128 mac_dpkX[2], v128 mac_dpkY[2], v128 a_v, Witness &vw) const
void | assert_signatures_with_issuer_list (EltW hash_tr, v128 mac_e[2], v128 mac_dpkX[2], v128 mac_dpkY[2], v128 a_v, EltW issuer_pkX[], EltW issuer_pkY[], size_t max_issuers, EltW pkX, EltW pkY, Witness &vw) const

The documentation for this class was generated from the following file:

- lib/circuits/mdoc/mdoc_signature.h